Upstream information

CVE-2023-1668 at MITRE

Description

A flaw was found in openvswitch (OVS). When processing an IP packet with protocol 0, OVS will install the datapath flow without the action modifying the IP header. This issue results (for both kernel and userspace datapath) in installing a datapath flow matching all IP protocols (nw_proto is wildcarded) for this flow, but with an incorrect action, possibly causing incorrect handling of other IP packets with a != 0 IP protocol that matches this dp flow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.2 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact Low None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1210054 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-Storage-7.1-2023-2275
SUSE Enterprise Storage 7
  • libopenvswitch-2_13-0 >= 2.13.2-150200.9.22.1
  • libovn-20_03-0 >= 20.03.1-150200.9.22.1
  • openvswitch >= 2.13.2-150200.9.22.1
  • openvswitch-devel >= 2.13.2-150200.9.22.1
  • openvswitch-ipsec >= 2.13.2-150200.9.22.1
  • openvswitch-pki >= 2.13.2-150200.9.22.1
  • openvswitch-test >= 2.13.2-150200.9.22.1
  • openvswitch-vtep >= 2.13.2-150200.9.22.1
  • ovn >= 20.03.1-150200.9.22.1
  • ovn-central >= 20.03.1-150200.9.22.1
  • ovn-devel >= 20.03.1-150200.9.22.1
  • ovn-docker >= 20.03.1-150200.9.22.1
  • ovn-host >= 20.03.1-150200.9.22.1
  • ovn-vtep >= 20.03.1-150200.9.22.1
  • python3-ovs >= 2.13.2-150200.9.22.1
Patchnames:
SUSE-Storage-7-2023-2274
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libopenvswitch-2_13-0 >= 2.13.2-150200.9.22.1
  • libovn-20_03-0 >= 20.03.1-150200.9.22.1
  • openvswitch >= 2.13.2-150200.9.22.1
  • openvswitch-devel >= 2.13.2-150200.9.22.1
  • openvswitch-ipsec >= 2.13.2-150200.9.22.1
  • openvswitch-pki >= 2.13.2-150200.9.22.1
  • openvswitch-test >= 2.13.2-150200.9.22.1
  • openvswitch-vtep >= 2.13.2-150200.9.22.1
  • ovn >= 20.03.1-150200.9.22.1
  • ovn-central >= 20.03.1-150200.9.22.1
  • ovn-devel >= 20.03.1-150200.9.22.1
  • ovn-docker >= 20.03.1-150200.9.22.1
  • ovn-host >= 20.03.1-150200.9.22.1
  • ovn-vtep >= 20.03.1-150200.9.22.1
  • python3-ovs >= 2.13.2-150200.9.22.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-2274
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-2275
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-2275
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libopenvswitch-2_14-0 >= 2.14.2-150400.24.9.1
  • libovn-20_06-0 >= 20.06.2-150400.24.9.1
  • openvswitch >= 2.14.2-150400.24.9.1
  • openvswitch-devel >= 2.14.2-150400.24.9.1
  • openvswitch-ipsec >= 2.14.2-150400.24.9.1
  • openvswitch-pki >= 2.14.2-150400.24.9.1
  • openvswitch-test >= 2.14.2-150400.24.9.1
  • openvswitch-vtep >= 2.14.2-150400.24.9.1
  • ovn >= 20.06.2-150400.24.9.1
  • ovn-central >= 20.06.2-150400.24.9.1
  • ovn-devel >= 20.06.2-150400.24.9.1
  • ovn-docker >= 20.06.2-150400.24.9.1
  • ovn-host >= 20.06.2-150400.24.9.1
  • ovn-vtep >= 20.06.2-150400.24.9.1
  • python3-ovs >= 2.14.2-150400.24.9.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-2296
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libopenvswitch-2_14-0 >= 2.14.2-150400.24.9.1
  • libopenvswitch-3_1-0 >= 3.1.0-150500.3.3.1
  • libovn-20_06-0 >= 20.06.2-150400.24.9.1
  • libovn-23_03-0 >= 23.03.0-150500.3.3.1
  • openvswitch >= 2.14.2-150400.24.9.1
  • openvswitch-devel >= 2.14.2-150400.24.9.1
  • openvswitch-ipsec >= 2.14.2-150400.24.9.1
  • openvswitch-pki >= 2.14.2-150400.24.9.1
  • openvswitch-test >= 2.14.2-150400.24.9.1
  • openvswitch-vtep >= 2.14.2-150400.24.9.1
  • openvswitch3 >= 3.1.0-150500.3.3.1
  • openvswitch3-devel >= 3.1.0-150500.3.3.1
  • openvswitch3-ipsec >= 3.1.0-150500.3.3.1
  • openvswitch3-pki >= 3.1.0-150500.3.3.1
  • openvswitch3-test >= 3.1.0-150500.3.3.1
  • openvswitch3-vtep >= 3.1.0-150500.3.3.1
  • ovn >= 20.06.2-150400.24.9.1
  • ovn-central >= 20.06.2-150400.24.9.1
  • ovn-devel >= 20.06.2-150400.24.9.1
  • ovn-docker >= 20.06.2-150400.24.9.1
  • ovn-host >= 20.06.2-150400.24.9.1
  • ovn-vtep >= 20.06.2-150400.24.9.1
  • ovn3 >= 23.03.0-150500.3.3.1
  • ovn3-central >= 23.03.0-150500.3.3.1
  • ovn3-devel >= 23.03.0-150500.3.3.1
  • ovn3-docker >= 23.03.0-150500.3.3.1
  • ovn3-host >= 23.03.0-150500.3.3.1
  • ovn3-vtep >= 23.03.0-150500.3.3.1
  • python3-ovs >= 2.14.2-150400.24.9.1
  • python3-ovs3 >= 3.1.0-150500.3.3.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP5-2023-2296
SUSE-SLE-Module-Server-Applications-15-SP5-2023-2536
SUSE Linux Enterprise Micro 6.0
  • libopenvswitch-3_1-0 >= 3.1.0-3.2
  • openvswitch >= 3.1.0-3.2
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA libopenvswitch-3_1-0-3.1.0-3.2
SUSE Linux Enterprise Module for Legacy 15 SP5
  • libopenvswitch-2_14-0 >= 2.14.2-150400.24.9.1
  • libovn-20_06-0 >= 20.06.2-150400.24.9.1
  • openvswitch >= 2.14.2-150400.24.9.1
  • openvswitch-devel >= 2.14.2-150400.24.9.1
  • openvswitch-ipsec >= 2.14.2-150400.24.9.1
  • openvswitch-pki >= 2.14.2-150400.24.9.1
  • openvswitch-test >= 2.14.2-150400.24.9.1
  • openvswitch-vtep >= 2.14.2-150400.24.9.1
  • ovn >= 20.06.2-150400.24.9.1
  • ovn-central >= 20.06.2-150400.24.9.1
  • ovn-devel >= 20.06.2-150400.24.9.1
  • ovn-docker >= 20.06.2-150400.24.9.1
  • ovn-host >= 20.06.2-150400.24.9.1
  • ovn-vtep >= 20.06.2-150400.24.9.1
  • python3-ovs >= 2.14.2-150400.24.9.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP5-2023-2296
SUSE Linux Enterprise Module for Package Hub 15 SP4
  • python3-ovs >= 2.14.2-150400.24.9.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2023-2296
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • python3-ovs >= 2.14.2-150400.24.9.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-2296
SUSE Linux Enterprise Module for Server Applications 15 SP5
  • libopenvswitch-3_1-0 >= 3.1.0-150500.3.3.1
  • libovn-23_03-0 >= 23.03.0-150500.3.3.1
  • openvswitch3 >= 3.1.0-150500.3.3.1
  • openvswitch3-devel >= 3.1.0-150500.3.3.1
  • openvswitch3-ipsec >= 3.1.0-150500.3.3.1
  • openvswitch3-pki >= 3.1.0-150500.3.3.1
  • openvswitch3-test >= 3.1.0-150500.3.3.1
  • openvswitch3-vtep >= 3.1.0-150500.3.3.1
  • ovn3 >= 23.03.0-150500.3.3.1
  • ovn3-central >= 23.03.0-150500.3.3.1
  • ovn3-devel >= 23.03.0-150500.3.3.1
  • ovn3-docker >= 23.03.0-150500.3.3.1
  • ovn3-host >= 23.03.0-150500.3.3.1
  • ovn3-vtep >= 23.03.0-150500.3.3.1
  • python3-ovs3 >= 3.1.0-150500.3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2023-2536
SUSE Linux Enterprise Real Time 15 SP3
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-2275
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libopenvswitch-2_11-0 >= 2.11.5-3.18.2
  • openvswitch >= 2.11.5-3.18.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2023-2621
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libopenvswitch-2_13-0 >= 2.13.2-150200.9.22.1
  • libovn-20_03-0 >= 20.03.1-150200.9.22.1
  • openvswitch >= 2.13.2-150200.9.22.1
  • openvswitch-devel >= 2.13.2-150200.9.22.1
  • openvswitch-ipsec >= 2.13.2-150200.9.22.1
  • openvswitch-pki >= 2.13.2-150200.9.22.1
  • openvswitch-test >= 2.13.2-150200.9.22.1
  • openvswitch-vtep >= 2.13.2-150200.9.22.1
  • ovn >= 20.03.1-150200.9.22.1
  • ovn-central >= 20.03.1-150200.9.22.1
  • ovn-devel >= 20.03.1-150200.9.22.1
  • ovn-docker >= 20.03.1-150200.9.22.1
  • ovn-host >= 20.03.1-150200.9.22.1
  • ovn-vtep >= 20.03.1-150200.9.22.1
  • python3-ovs >= 2.13.2-150200.9.22.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-2274
SUSE Linux Enterprise Server 15 SP3-LTSS
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-2275
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libopenvswitch-2_13-0 >= 2.13.2-150200.9.22.1
  • libovn-20_03-0 >= 20.03.1-150200.9.22.1
  • openvswitch >= 2.13.2-150200.9.22.1
  • openvswitch-devel >= 2.13.2-150200.9.22.1
  • openvswitch-ipsec >= 2.13.2-150200.9.22.1
  • openvswitch-pki >= 2.13.2-150200.9.22.1
  • openvswitch-test >= 2.13.2-150200.9.22.1
  • openvswitch-vtep >= 2.13.2-150200.9.22.1
  • ovn >= 20.03.1-150200.9.22.1
  • ovn-central >= 20.03.1-150200.9.22.1
  • ovn-devel >= 20.03.1-150200.9.22.1
  • ovn-docker >= 20.03.1-150200.9.22.1
  • ovn-host >= 20.03.1-150200.9.22.1
  • ovn-vtep >= 20.03.1-150200.9.22.1
  • python3-ovs >= 2.13.2-150200.9.22.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-2274
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-2275
SUSE Manager Proxy 4.2
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-2275
SUSE Manager Retail Branch Server 4.2
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-2275
SUSE Manager Server 4.2
  • libopenvswitch-2_14-0 >= 2.14.2-150300.19.8.1
  • libovn-20_06-0 >= 20.06.2-150300.19.8.1
  • openvswitch >= 2.14.2-150300.19.8.1
  • openvswitch-devel >= 2.14.2-150300.19.8.1
  • openvswitch-ipsec >= 2.14.2-150300.19.8.1
  • openvswitch-pki >= 2.14.2-150300.19.8.1
  • openvswitch-test >= 2.14.2-150300.19.8.1
  • openvswitch-vtep >= 2.14.2-150300.19.8.1
  • ovn >= 20.06.2-150300.19.8.1
  • ovn-central >= 20.06.2-150300.19.8.1
  • ovn-devel >= 20.06.2-150300.19.8.1
  • ovn-docker >= 20.06.2-150300.19.8.1
  • ovn-host >= 20.06.2-150300.19.8.1
  • ovn-vtep >= 20.06.2-150300.19.8.1
  • python3-ovs >= 2.14.2-150300.19.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-2275
openSUSE Leap 15.4
  • libopenvswitch-2_13-0 >= 2.13.2-150200.9.22.1
  • libopenvswitch-2_14-0 >= 2.14.2-150400.24.9.1
  • libovn-20_03-0 >= 20.03.1-150200.9.22.1
  • libovn-20_06-0 >= 20.06.2-150400.24.9.1
  • openvswitch >= 2.14.2-150400.24.9.1
  • openvswitch-devel >= 2.14.2-150400.24.9.1
  • openvswitch-doc >= 2.14.2-150400.24.9.1
  • openvswitch-ipsec >= 2.14.2-150400.24.9.1
  • openvswitch-pki >= 2.14.2-150400.24.9.1
  • openvswitch-test >= 2.14.2-150400.24.9.1
  • openvswitch-vtep >= 2.14.2-150400.24.9.1
  • ovn >= 20.06.2-150400.24.9.1
  • ovn-central >= 20.06.2-150400.24.9.1
  • ovn-devel >= 20.06.2-150400.24.9.1
  • ovn-doc >= 20.06.2-150400.24.9.1
  • ovn-docker >= 20.06.2-150400.24.9.1
  • ovn-host >= 20.06.2-150400.24.9.1
  • ovn-vtep >= 20.06.2-150400.24.9.1
  • python3-ovs >= 2.14.2-150400.24.9.1
Patchnames:
openSUSE-SLE-15.4-2023-2274
openSUSE-SLE-15.4-2023-2296
openSUSE Leap 15.5
  • libopenvswitch-2_14-0 >= 2.14.2-150400.24.9.1
  • libopenvswitch-3_1-0 >= 3.1.0-150500.3.3.1
  • libovn-20_06-0 >= 20.06.2-150400.24.9.1
  • libovn-23_03-0 >= 23.03.0-150500.3.3.1
  • openvswitch >= 2.14.2-150400.24.9.1
  • openvswitch-devel >= 2.14.2-150400.24.9.1
  • openvswitch-doc >= 2.14.2-150400.24.9.1
  • openvswitch-ipsec >= 2.14.2-150400.24.9.1
  • openvswitch-pki >= 2.14.2-150400.24.9.1
  • openvswitch-test >= 2.14.2-150400.24.9.1
  • openvswitch-vtep >= 2.14.2-150400.24.9.1
  • openvswitch3 >= 3.1.0-150500.3.3.1
  • openvswitch3-devel >= 3.1.0-150500.3.3.1
  • openvswitch3-doc >= 3.1.0-150500.3.3.1
  • openvswitch3-ipsec >= 3.1.0-150500.3.3.1
  • openvswitch3-pki >= 3.1.0-150500.3.3.1
  • openvswitch3-test >= 3.1.0-150500.3.3.1
  • openvswitch3-vtep >= 3.1.0-150500.3.3.1
  • ovn >= 20.06.2-150400.24.9.1
  • ovn-central >= 20.06.2-150400.24.9.1
  • ovn-devel >= 20.06.2-150400.24.9.1
  • ovn-doc >= 20.06.2-150400.24.9.1
  • ovn-docker >= 20.06.2-150400.24.9.1
  • ovn-host >= 20.06.2-150400.24.9.1
  • ovn-vtep >= 20.06.2-150400.24.9.1
  • ovn3 >= 23.03.0-150500.3.3.1
  • ovn3-central >= 23.03.0-150500.3.3.1
  • ovn3-devel >= 23.03.0-150500.3.3.1
  • ovn3-doc >= 23.03.0-150500.3.3.1
  • ovn3-docker >= 23.03.0-150500.3.3.1
  • ovn3-host >= 23.03.0-150500.3.3.1
  • ovn3-vtep >= 23.03.0-150500.3.3.1
  • python3-ovs >= 2.14.2-150400.24.9.1
  • python3-ovs3 >= 3.1.0-150500.3.3.1
Patchnames:
openSUSE-SLE-15.5-2023-2296
openSUSE-SLE-15.5-2023-2536
openSUSE Tumbleweed
  • libopenvswitch-3_1-0 >= 3.1.0-14.1
  • libovn-23_03-0 >= 23.03.0-14.1
  • openvswitch >= 3.1.0-14.1
  • openvswitch-devel >= 3.1.0-14.1
  • openvswitch-doc >= 3.1.0-14.1
  • openvswitch-ipsec >= 3.1.0-14.1
  • openvswitch-pki >= 3.1.0-14.1
  • openvswitch-test >= 3.1.0-14.1
  • openvswitch-vtep >= 3.1.0-14.1
  • ovn >= 23.03.0-14.1
  • ovn-central >= 23.03.0-14.1
  • ovn-devel >= 23.03.0-14.1
  • ovn-doc >= 23.03.0-14.1
  • ovn-docker >= 23.03.0-14.1
  • ovn-host >= 23.03.0-14.1
  • ovn-vtep >= 23.03.0-14.1
  • python3-ovs >= 3.1.0-14.1
Patchnames:
openSUSE Tumbleweed GA libopenvswitch-3_1-0-3.1.0-14.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 openvswitch Released
SUSE Linux Enterprise High Performance Computing 12 SP5 openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP5 openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP5 openvswitch3 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 openvswitch Already fixed
SUSE Linux Enterprise Module for Legacy 15 SP5 openvswitch Released
SUSE Linux Enterprise Module for Package Hub 15 SP5 openvswitch Released
SUSE Linux Enterprise Module for Package Hub 15 SP6 openvswitch Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 openvswitch Affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 openvswitch3 Released
SUSE Linux Enterprise Module for Server Applications 15 SP6 openvswitch Already fixed
SUSE Linux Enterprise Server 12 SP5 openvswitch Released
SUSE Linux Enterprise Server 15 SP5 openvswitch Released
SUSE Linux Enterprise Server 15 SP5 openvswitch3 Released
SUSE Linux Enterprise Server 15 SP6 openvswitch Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openvswitch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 openvswitch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 openvswitch3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 openvswitch Already fixed
SUSE Manager Proxy 4.3 openvswitch Released
SUSE Manager Retail Branch Server 4.3 openvswitch Released
SUSE Manager Server 4.3 openvswitch Released
openSUSE Leap 15.5 openvswitch Released
openSUSE Leap 15.5 openvswitch3 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 openvswitch Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openvswitch Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP3 openvswitch Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP4 openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS openvswitch Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS openvswitch Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 openvswitch Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 openvswitch Won't fix
SUSE Linux Enterprise Module for Server Applications 15 SP4 openvswitch Released
SUSE Linux Enterprise Server 15 SP2 openvswitch Affected
SUSE Linux Enterprise Server 15 SP2-LTSS openvswitch Released
SUSE Linux Enterprise Server 15 SP3 openvswitch Won't fix
SUSE Linux Enterprise Server 15 SP3-LTSS openvswitch Released
SUSE Linux Enterprise Server 15 SP4 openvswitch Released
SUSE Linux Enterprise Server 15 SP4-LTSS openvswitch Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openvswitch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openvswitch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openvswitch Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openvswitch Won't fix
SUSE CaaS Platform 4.0 openvswitch Won't fix
SUSE Enterprise Storage 6 openvswitch Won't fix
SUSE Enterprise Storage 7 openvswitch Released
SUSE Linux Enterprise High Performance Computing 15 openvswitch Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openvswitch Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openvswitch Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openvswitch Won't fix
SUSE Linux Enterprise High Performance Computing 15-ESPOS openvswitch Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openvswitch Affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 openvswitch Won't fix
SUSE Linux Enterprise Module for Package Hub 15 SP2 openvswitch Won't fix
SUSE Linux Enterprise Module for Package Hub 15 SP3 openvswitch Won't fix
SUSE Linux Enterprise Module for Package Hub 15 SP4 openvswitch Released
SUSE Linux Enterprise Module for Server Applications 15 openvswitch Affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 openvswitch Won't fix
SUSE Linux Enterprise Real Time 15 SP2 openvswitch Affected
SUSE Linux Enterprise Real Time 15 SP3 openvswitch Released
SUSE Linux Enterprise Real Time 15 SP4 openvswitch Affected
SUSE Linux Enterprise Server 12 SP2 openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP2-BCL openvswitch Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP2-LTSS openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP3 openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP3-BCL openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP3-ESPOS openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP3-LTSS openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP4 openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP4-ESPOS openvswitch Won't fix
SUSE Linux Enterprise Server 12 SP4-LTSS openvswitch Won't fix
SUSE Linux Enterprise Server 15 openvswitch Affected
SUSE Linux Enterprise Server 15 SP1 openvswitch Won't fix
SUSE Linux Enterprise Server 15 SP1-BCL openvswitch Won't fix
SUSE Linux Enterprise Server 15 SP1-LTSS openvswitch Won't fix
SUSE Linux Enterprise Server 15 SP2-BCL openvswitch Affected
SUSE Linux Enterprise Server 15 SP3-BCL openvswitch Won't fix
SUSE Linux Enterprise Server 15-LTSS openvswitch Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openvswitch Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openvswitch Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openvswitch Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openvswitch Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 openvswitch Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openvswitch Won't fix
SUSE Manager Proxy 4.0 openvswitch Won't fix
SUSE Manager Proxy 4.1 openvswitch Affected
SUSE Manager Proxy 4.2 openvswitch Released
SUSE Manager Retail Branch Server 4.0 openvswitch Won't fix
SUSE Manager Retail Branch Server 4.1 openvswitch Affected
SUSE Manager Retail Branch Server 4.2 openvswitch Released
SUSE Manager Server 4.0 openvswitch Won't fix
SUSE Manager Server 4.1 openvswitch Affected
SUSE Manager Server 4.2 openvswitch Released
SUSE OpenStack Cloud 7 openvswitch Won't fix
SUSE OpenStack Cloud 8 openvswitch Won't fix
SUSE OpenStack Cloud 9 openvswitch Won't fix
SUSE OpenStack Cloud Crowbar 8 openvswitch Won't fix
SUSE OpenStack Cloud Crowbar 9 openvswitch Won't fix
openSUSE Leap 15.3 openvswitch Released
openSUSE Leap 15.4 openvswitch Released


SUSE Timeline for this CVE

CVE page created: Mon Apr 3 14:23:50 2023
CVE page last modified: Fri Jun 7 17:27:43 2024